Foreman - Bug #24350

Default out of sync interval is 5 minutes
07/23/2018 12:43 PM - Ewoud Kohl van Wijngaarden

Status: Closed
Priority: Normal
Assignee: Sebastian Grasl
Category: Reporting
Target version: 1.18.1
Difficulty: Fixed in Releases: 1.18.1, 1.19.0
Triaged: Yes Found in Releases: 1.18.0-RC1
Bugzilla link: 1615351 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/5868,
https://github.com/theforeman/foreman/p
ull/5870,
https://github.com/theforeman/foreman/p
ull/5917,
https://github.com/theforeman/foreman/p
ull/5918
Description

This means that every host that hasn't reported in the last 5 minutes is out of sync. With Puppet the default interval is 30 minutes
which means that most of your infra is out of sync all the time.

348ec9c0d6ff6c2574c5e6dddbe8e9203d73d2e8 introduced this setting.

Related issues:

Related to Foreman - Feature #22779: Calculate out of sync host via origin sp...

Has duplicate Foreman - Bug #24372: most of the puppet nodes are out of sync ...

Closed 03/05/2018

Duplicate

Associated revisions

Revision d8693f00 - 07/24/2018 02:55 PM - Sebastian Grasl

Fixes #24350 - Change general out of sync interval to 30 minutes

Revision 4080444a - 08/06/2018 07:37 AM - Sebastian GraBl

Refs #24350 - Adjust puppet_interval to include grace time

History

#1 - 07/23/2018 01:29 PM -

Sebastian Grasl

- Assignee set to Sebastian Graf3/

#2 - 07/24/2018 06:42 AM -

The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5868 added

#3 - 07/24/2018 06:48 AM -

- Category set to Reporting

- Target version set to 1.18.

Sebastian Grasl

1

- Triaged changed from No to Yes

#4 - 07/24/2018 02:57 PM -

Marek Hulan

- Fixed in Releases 1.20.0 added

setting to 1.20 for now but |

05/18/2024

expect more cherry-picks to appear soon

1/2



https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/348ec9c0d6ff6c2574c5e6dddbe8e9203d73d2e8

#5 - 07/24/2018 03:27 PM - Sebastian Grasl
- Status changed from Ready For Testing to Closed

Applied in changeset d8693f007495542bc8de7473c781967cd64535¢0.

#6 - 07/24/2018 04:01 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/5870 added

#7 - 07/26/2018 09:37 AM - Tomer Brisker

- Related to Feature #22779: Calculate out of sync host via origin specific interval setting added

#8 - 07/26/2018 11:36 AM - Tomer Brisker
- Has duplicate Bug #24372: most of the puppet nodes are out of sync in dashboard added

#9 - 08/06/2018 09:51 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/5917 added

#10 - 08/06/2018 09:52 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/5918 added

#11 - 08/06/2018 12:14 PM - Tomer Brisker
- Fixed in Releases 1.18.1, 1.19.0 added

#12 - 08/13/2018 12:03 PM - Marek Hulan
- Bugzilla link set to 1615351
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/d8693f007495542bc8de7473c781967cd64535c0
